> For the complete documentation index, see [llms.txt](https://docs.superseek.ai/home/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.superseek.ai/home/api-documentation/generate-session-id-api.md).

# Generate Session ID API

Use this endpoint if you'd prefer to generate and manage session\_ids for bot conversations.&#x20;

<mark style="color:blue;">`GET`</mark> `https://admin.superseek.ai/session-id`

Use this endpoint if you'd prefer to generate and manage session\_ids for bot conversations.&#x20;

#### Query Parameters

| Name                                       | Type   | Description                  |
| ------------------------------------------ | ------ | ---------------------------- |
| bot\_id<mark style="color:red;">\*</mark>  | Number | Unique identifier of the bot |
| api\_key<mark style="color:red;">\*</mark> | String | API key of the account       |

{% tabs %}
{% tab title="200: OK Successful Response" %}
{% code overflow="wrap" %}

```json
// Below is the generated session_id 

a3ip87gkr2jh580fptg0i67m3p
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.superseek.ai/home/api-documentation/generate-session-id-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
